# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXOutputRGB

Function

Writes an image to a file in RGB format.

Syntax
`
#include <dx/dx.h>
`

Field DXOutputRGB(Field i, int fd)

Functional Details The routine writes image Field `i` to file descriptor `fd` as three bytes (red, green, and blue) per pixel.

The values of the floating-point "colors" component (ranging from 0.0 to 1.0) are converted into byte values from 0 to 255. Values below 0 and above 1 are changed to 0 and 255 respectively.

The image is written at the current byte offset in the file. `lseek()` should be called first to reposition the current read/write pointer to the desired location.

Return Value Returns `i` or returns `NULL` and sets an error code.

See Also

16.9 , "Image Fields".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]